%global _empty_manifest_terminate_build 0
Name:           python-stevedore
Version:        5.2.0
Release:        1
Summary:        Manage dynamic plugins for Python applications
License:        Apache-2.0
URL:            https://docs.openstack.org/stevedore/latest/
Source0:        https://files.pythonhosted.org/packages/66/c0/26afabea111a642f33cfd15f54b3dbe9334679294ad5c0423c556b75eba2/stevedore-%{version}.tar.gz
BuildArch:      noarch

%description
Manage dynamic plugins for Python applications

%package -n python3-stevedore
Summary:        Manage dynamic plugins for Python applications
Provides:       python-stevedore = %{version}-%{release}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
Requires:       python3-pbr
%description -n python3-stevedore
Manage dynamic plugins for Python applications

%package help
Summary:        Manage dynamic plugins for Python applications
Provides:       python3-stevedore-doc
%description help
Manage dynamic plugins for Python applications

%prep
%autosetup -n stevedore-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-stevedore -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Mar 14 2024 wangqiang <wangqiang1@kylinos.cn> - 5.2.0-1
- Update package to version 5.2.0

* Fri Jul 28 2023 sunhui <sunhui@kylinos.cn> - 5.1.0-1
- Update package to version 5.1.0

* Wed Dec 07 2022 liqiuyu <liqiuyu@kylinos.cn> - 4.1.1-1
- Update package to version 4.1.1

* Mon Jul 04 2022 OpenStack_SIG <openstack@openeuler.org> - 3.5.0-1
- Upgrade package python3-stevedore to version 3.5.0

* Tue Aug 3 2021 huangtianhua <huangtianhua@huawei.com> - 3.3.0-3
- Fix requires error

* Wed Jan 20 2021 zhangy1317 <zhangy1317@foxmail.cn>
- Add BuildRequires python3-pip

* Fri Jan 08 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
